OpenTTD Source: Data Fields

OpenTTD Source 14.0-RC3

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - n -

- name : Action5Type , AirportSpec , AirportTileSpec , BaseConsist , BaseNetworkContentDownloadStatusWindow , BaseSet< T, Tnum_files, Tsearch_in_tars > , BaseStation , BlitterFactory , CargoSpec , CommandInfo , CompanyProperties , ContentInfo , DriverFactoryBase , Engine , FileToSaveLoad , GRFConfig , GRFParameterInfo , Group , HighScore , IConsoleAlias , IConsoleCmd , IndustrySpec , IniGroup , IniItem , KeycodeNames , LangString , LanguagePackHeader , LoggedChangeSettingChanged , NamedGRFIdentifier , NewGRFClass< Tspec, Tid, Tmax > , NewsTypeData , NICallback , NIProperty , ObjectSpec , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero > , RailTypeInfo , RoadStopSpec , RoadTypeInfo , SaveLoad , SaveLoadCompat , SaveLoadFormat , ScriptConfig , ScriptConfigItem , ScriptInfo , SettingEntry , SocialIntegrationPlugin , StationSpec , Town , TownNameStyle , UDPSocket
- name_1 : CompanyProperties
- name_2 : CompanyProperties
- name_editbox : NetworkGameWindow , NetworkStartServerWindow
- name_single : CargoSpec
- name_to_string : StringData
- names : PluralForm
- NameSorter() : NetworkContentListWindow , NewGRFWindow
- NatSortFunc() : DropDownString< TBase, TFs, TEnd >
- NavigateHistory() : TextfileWindow
- NavigateToFile() : TextfileWindow
- need_length : SaveLoadParams
- needed : ScoreInfo
- NeedRebuild() : GUIList< T, P, F >
- NeedResort() : GUIList< T, P, F >
- NeedsAnimationBuffer() : Blitter , Blitter_40bppAnim
- NeedsAutomaticServicing() : Vehicle
- NeedsAutorenewing() : Vehicle
- NeedsPaletteRemap() : SpriteFile
- NeedsPreprocessing() : NewGRFSpriteLayout
- NeedsServicing() : Vehicle
- nested_focus : Window
- nested_root : Window
- network : ClientSettings
- network_chat_box_height : GUISettings
- network_chat_box_width_pct : GUISettings
- network_chat_timeout : GUISettings
- network_id : NetworkSettings
- NetworkAddress() : NetworkAddress
- NetworkAdminSocketHandler() : NetworkAdminSocketHandler
- NetworkChatWindow() : NetworkChatWindow
- NetworkClientInfo() : NetworkClientInfo
- NetworkClose : ClientNetworkGameSocketHandler
- NetworkContentConnecter() : NetworkContentConnecter
- NetworkContentDownloadStatusWindow() : NetworkContentDownloadStatusWindow
- NetworkContentListWindow() : NetworkContentListWindow
- NetworkContentSocketHandler() : NetworkContentSocketHandler
- NetworkCoordinatorConnecter() : NetworkCoordinatorConnecter
- NetworkCoordinatorSocketHandler() : NetworkCoordinatorSocketHandler
- NetworkDirectConnecter() : NetworkDirectConnecter
- NetworkError() : NetworkError
- NetworkExecuteLocalCommandQueue : ClientNetworkGameSocketHandler
- NetworkGameSocketHandler() : NetworkGameSocketHandler
- NetworkHTTPRequest() : NetworkHTTPRequest
- NetworkReuseStunConnecter() : NetworkReuseStunConnecter
- NetworkSocketHandler() : NetworkSocketHandler
- NetworkStunConnecter() : NetworkStunConnecter
- NetworkStunSocketHandler() : NetworkStunSocketHandler
- NetworkTCPSocketHandler() : NetworkTCPSocketHandler
- NetworkTurnConnecter() : NetworkTurnConnecter
- NetworkTurnSocketHandler() : NetworkTurnSocketHandler
- NetworkUDPSocketHandler() : NetworkUDPSocketHandler
- neutral_station : Industry
- never_expire_airports : StationSettings
- never_expire_vehicles : VehicleSettings
- new_act : TransportedCargoStat< Tstorage >
- new_engine : RoadTypeInfo
- new_industry_text : IndustrySpec
- new_loco : RailTypeInfo
- new_max : TransportedCargoStat< Tstorage >
- new_nonstop : GUISettings
- new_outersize : TileHighlightData
- new_pathfinding_all : PathfinderSettings
- new_pos : TileHighlightData
- new_size : TileHighlightData
- new_tile : GetNewVehiclePosResult
- new_veh : ReplaceChainItem
- new_vehicles : NewsSettings
- new_year : SoundSettings
- NewEvent() : AI , Game
- newgrf : LoggedChangeRevision
- NEWGRF : TarScanner
- newgrf_default_palette : GUISettings
- newgrf_developer_tools : GUISettings
- newgrf_id : LanguageMap::Mapping
- newgrf_lookup_table : ClientNetworkCoordinatorSocketHandler
- newgrf_lookup_table_cursor : ClientNetworkCoordinatorSocketHandler
- newgrf_show_old_versions : GUISettings
- newgrflangid : LanguagePackHeader
- NewGRFProfiler() : NewGRFProfiler
- NewMonth() : TransportedCargoStat< Tstorage >
- news_display : ClientSettings
- news_full : SoundSettings
- news_message_timeout : GUISettings
- news_ticker : SoundSettings
- NewsItem() : NewsItem
- newstations : RailStationGUISettings
- NewsTypeData() : NewsTypeData
- newval : LoggedChangeSettingChanged
- next : AirportFTA , AirportFTAbuildup , BaseSet< T, Tnum_files, Tsearch_in_tars > , ChildScreenSpriteToDraw
- Next() : FlowEdgeIterator , GraphEdgeIterator
- next : GRFConfig
- Next() : IcuStringIterator , MusicSystem
- next : NetworkGameList , NewsItem , Order
- Next() : OSXStringIterator
- next : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::AllocCache
- Next() : Randomizer
- next : RoadStop , SmallStackItem< Titem, Tindex >
- Next() : SpecializedVehicle< T, Type > , StringIterator , UniscribeStringIterator , Vehicle
- next : Vehicle
- next_cargo : StationViewWindow::RowDisplay
- next_drawstyle : TileHighlightData
- next_hop : CargoPacket , ReturnCargoAction
- next_index : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- next_position : AirportFTA
- next_shared : Vehicle
- next_station : FinalizeRefitAction , StationViewWindow::RowDisplay
- next_string_id : StringData
- next_type : StringParameters
- next_update : ClientNetworkCoordinatorSocketHandler , GRFFileScanner
- NextID() : FreeUnitIDGenerator
- NextLine() : FallbackParagraphLayout
- NextShared() : Vehicle
- NextString() : LanguagePackGlyphSearcher , MissingGlyphSearcher , TextfileWindow
- nfo_line : GrfProcessingState
- NGameAllowedSorter() : NetworkGameWindow
- NGameCalendarDateSorter() : NetworkGameWindow
- NGameClientSorter() : NetworkGameWindow
- NGameMapSizeSorter() : NetworkGameWindow
- NGameNameSorter() : NetworkGameWindow
- NGameTicksPlayingSorter() : NetworkGameWindow
- ni : NewsWindow
- NO_FREE_ITEM : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- no_jetcrash : Cheats
- no_servicing_if_no_breakdowns : OrderSettings
- NoCompLoadFilter() : NoCompLoadFilter
- NoCompSaveFilter() : NoCompSaveFilter
- Node : CYapfBaseT< Types > , CYapfCostRailT< Types > , CYapfCostRegionT< Types > , CYapfCostRoadT< Types > , CYapfCostShipT< Types > , CYapfDestinationAnyDepotRailT< Types > , CYapfDestinationAnyDepotRoadT< Types > , CYapfDestinationAnySafeTileRailT< Types > , CYapfDestinationRegionT< Types > , CYapfDestinationTileOrStationRailT< Types > , CYapfDestinationTileRoadT< Types > , CYapfDestinationTileT< Types > , CYapfDestinationTileWaterT< Types > , CYapfFollowAnyDepotRailT< Types > , CYapfFollowAnySafeTileRailT< Types > , CYapfFollowRailT< Types > , CYapfFollowRegionT< Types > , CYapfFollowRoadT< Types > , CYapfFollowShipT< Types > , CYapfOriginRegionT< Types > , CYapfOriginTileT< Types > , CYapfOriginTileTwoWayT< Types > , CYapfReserveTrack< Types > , CYapfSegmentCostCacheGlobalT< Types > , CYapfSegmentCostCacheLocalT< Types > , CYapfSegmentCostCacheNoneT< Types >
- node : GoodsEntry , NPFFoundTargetData , Path
- node_distance : Kdtree< T, TxyFunc, CoordT, DistT >
- NodeList : CYapfBaseT< Types >
- nodes : Kdtree< T, TxyFunc, CoordT, DistT > , LinkGraph , LinkGraphJob
- nof_depots : AirportSpec
- nofelements : AirportFTAClass
- noise_level : AirportSpec
- noise_reached : Town
- NONE : TarScanner , TimerGame< T >
- NONEMPTY : GRFTempEngineData
- normal_height : CargoesField
- north_tile : SearchNearbyHouseData
- not_articulated : NPFFindStationOrTileData
- not_yet_constructed : HouseScopeResolver
- notifyallexceptions() : SquirrelStd
- NotifySmallmap() : IndustryCargoesWindow
- npf : PathfinderSettings
- npf_buoy_penalty : NPFSettings
- npf_crossing_penalty : NPFSettings
- npf_max_search_nodes : NPFSettings
- npf_rail_curve_penalty : NPFSettings
- npf_rail_depot_reverse_penalty : NPFSettings
- npf_rail_firstred_exit_penalty : NPFSettings
- npf_rail_firstred_penalty : NPFSettings
- npf_rail_lastred_penalty : NPFSettings
- npf_rail_pbs_cross_penalty : NPFSettings
- npf_rail_pbs_signal_back_penalty : NPFSettings
- npf_rail_slope_penalty : NPFSettings
- npf_rail_station_penalty : NPFSettings
- npf_road_bay_occupied_penalty : NPFSettings
- npf_road_curve_penalty : NPFSettings
- npf_road_drive_through_penalty : NPFSettings
- npf_road_dt_occupied_penalty : NPFSettings
- npf_water_curve_penalty : NPFSettings
- null_length : SaveLoadCompat
- null_type : SaveLoadCompat
- num : TrainCollideChecker
- num_available : MusicSet
- num_bit : GRFParameterInfo
- num_cargoes : CargoesField
- num_cases : LanguagePackHeader
- num_children : CargoDataEntry , Path
- num_columns : DepotWindow
- NUM_COLUMNS : StationViewWindow
- NUM_DEFAULT_ENGINES : EngineOverrideManager
- num_engines : GroupStatistics
- NUM_FILES : BaseSet< T, Tnum_files, Tsearch_in_tars >
- num_genders : LanguagePackHeader
- num_helipads : AirportFTAClass
- num_houses : TownCache
- num_input : IndustryProductionSpriteGroup
- num_manual_orders : OrderList
- num_orders : OrderList
- num_output : IndustryProductionSpriteGroup
- num_params : GRFConfig
- num_scanned : GRFFileScanner
- num_sprites : GrfProcessingState::SpriteSet
- num_station : NetworkCompanyStats
- num_table : AirportSpec
- num_valid : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- num_valid_params : GRFConfig
- num_valid_stat_ent : CompanyProperties
- num_vehicle : GroupStatistics , NetworkCompanyStats
- num_vehicle_min_age : GroupStatistics
- num_vehicles : OrderList , RefitWindow
- num_visible_lines : AboutWindow
- number_consecutive_turns : Aircraft
- number_dim : SelectCompanyManagerFaceWindow
- number_of_sounds : IndustrySpec
- number_towns : DifficultySettings
- NumberOfPatches() : WaterRegion
- numleft : GetOptData
- nwid_begin : WindowDesc
- nwid_end : WindowDesc
- NWidgetBackground() : NWidgetBackground
- NWidgetBase() : NWidgetBase
- NWidgetCore() : NWidgetCore
- NWidgetHorizontal() : NWidgetHorizontal
- NWidgetHorizontalLTR() : NWidgetHorizontalLTR
- NWidgetLeaf() : NWidgetLeaf
- NWidgetResizeBase() : NWidgetResizeBase
- NWidgetScrollbar() : NWidgetScrollbar
- NWidgetSpacer() : NWidgetSpacer
- NWidgetStacked() : NWidgetStacked
- NWidgetVertical() : NWidgetVertical